summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLukáš Jirkovský2015-05-31 21:29:01 +0200
committerLukáš Jirkovský2015-05-31 21:29:01 +0200
commit56077f4f2b79cfb6c3a11feb42d2f6c11a69014e (patch)
tree11940e1cea5554156b2ab30e155c6554b1d48ab8
downloadaur-56077f4f2b79cfb6c3a11feb42d2f6c11a69014e.tar.gz
initial import
-rw-r--r--.SRCINFO49
-rw-r--r--PKGBUILD84
-rw-r--r--blender.desktop14
-rw-r--r--blender.install14
4 files changed, 161 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..01e38911ad2
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,49 @@
+pkgbase = blender-git
+ pkgdesc = Development version of Blender
+ pkgver = 56696.3b95179
+ pkgrel = 1
+ url = http://blender.org/
+ install = blender.install
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = git
+ makedepends = cmake
+ makedepends = boost
+ makedepends = mesa
+ depends = libgl
+ depends = python
+ depends = desktop-file-utils
+ depends = hicolor-icon-theme
+ depends = ffmpeg
+ depends = fftw
+ depends = openal
+ depends = freetype2
+ depends = libxi
+ depends = openimageio
+ depends = opencolorio
+ depends = openshadinglanguage
+ depends = libtiff
+ depends = libpng
+ optdepends = cuda: CUDA support in Cycles
+ provides = blender
+ conflicts = blender
+ noextract = blender-addons.git
+ noextract = blender-addons-contrib.git
+ noextract = blender-translations.git
+ noextract = scons.git
+ source = git://git.blender.org/blender.git
+ source = blender-addons.git::git://git.blender.org/blender-addons.git
+ source = blender-addons-contrib.git::git://git.blender.org/blender-addons-contrib.git
+ source = blender-translations.git::git://git.blender.org/blender-translations.git
+ source = scons.git::git://git.blender.org/scons.git
+ source = blender.desktop
+ md5sums = SKIP
+ md5sums = SKIP
+ md5sums = SKIP
+ md5sums = SKIP
+ md5sums = SKIP
+ md5sums = e9c26e370839fd902eb76c98fe3b9589
+
+pkgname = blender-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..1dfd81ac8db
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,84 @@
+# Maintainer: Lukas Jirkovsky <l.jirkovsky@gmail.com>
+pkgname=blender-git
+pkgver=56696.3b95179
+pkgrel=1
+pkgdesc="Development version of Blender"
+arch=('i686' 'x86_64')
+url="http://blender.org/"
+depends=('libgl' 'python' 'desktop-file-utils' 'hicolor-icon-theme'
+ 'ffmpeg' 'fftw' 'openal' 'freetype2' 'libxi' 'openimageio' 'opencolorio'
+ 'openshadinglanguage' 'libtiff' 'libpng')
+optdepends=('cuda: CUDA support in Cycles')
+makedepends=('git' 'cmake' 'boost' 'mesa')
+provides=('blender')
+conflicts=('blender')
+license=('GPL')
+install=blender.install
+# NOTE: the source array has to be kept in sync with .gitmodules
+# the submodules has to be stored in path ending with git to match
+# the path in .gitmodules.
+# More info:
+# http://wiki.blender.org/index.php/Dev:Doc/Tools/Git
+source=('git://git.blender.org/blender.git' \
+ 'blender-addons.git::git://git.blender.org/blender-addons.git' \
+ 'blender-addons-contrib.git::git://git.blender.org/blender-addons-contrib.git' \
+ 'blender-translations.git::git://git.blender.org/blender-translations.git' \
+ 'scons.git::git://git.blender.org/scons.git' \
+ blender.desktop)
+md5sums=('SKIP' 'SKIP' 'SKIP' 'SKIP' 'SKIP'
+ 'e9c26e370839fd902eb76c98fe3b9589')
+# NOTE: add submodules to the noextract
+noextract=('blender-addons.git' 'blender-addons-contrib.git'
+ 'blender-translations.git' 'scons.git')
+
+# determine whether we can precompile CUDA kernels
+_CUDA_PKG=`pacman -Qq cuda 2>/dev/null` || true
+if [ "$_CUDA_PKG" != "" ]; then
+ _EXTRAOPTS="-DWITH_CYCLES_CUDA_BINARIES=ON \
+ -DCUDA_TOOLKIT_ROOT_DIR=/opt/cuda"
+fi
+
+pkgver() {
+ cd "$srcdir/blender"
+ printf "%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+prepare() {
+ cd "$srcdir/blender"
+ # update the submodules
+ git submodule update --init --recursive
+ git submodule foreach git checkout master
+ git submodule foreach git pull --rebase origin master
+}
+
+build() {
+ mkdir -p "$srcdir/blender-build"
+ cd "$srcdir/blender-build"
+
+ cmake "$srcdir/blender" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DWITH_INSTALL_PORTABLE=OFF \
+ -DWITH_GAMEENGINE=ON \
+ -DWITH_PLAYER=ON \
+ -DWITH_OPENCOLORIO=ON \
+ -DWITH_FFTW3=ON \
+ -DWITH_SYSTEM_GLEW=ON \
+ -DWITH_CODEC_FFMPEG=ON \
+ -DWITH_PYTHON_INSTALL=OFF \
+ -DPYTHON_VERSION=3.4m \
+ -DWITH_MOD_OCEANSIM=ON \
+ $_EXTRAOPTS
+ make
+}
+
+package() {
+ cd "$srcdir/blender-build"
+ make DESTDIR="$pkgdir" install
+ install -D -m644 "$srcdir"/blender.desktop \
+ "$pkgdir"/usr/share/applications/blender.desktop
+
+ if [ -e "$pkgdir"/usr/share/blender/*/scripts/addons/cycles/lib/ ] ; then
+ # make sure the cuda kernels are not stripped
+ chmod 444 "$pkgdir"/usr/share/blender/*/scripts/addons/cycles/lib/*
+ fi
+}
diff --git a/blender.desktop b/blender.desktop
new file mode 100644
index 00000000000..ab578088427
--- /dev/null
+++ b/blender.desktop
@@ -0,0 +1,14 @@
+[Desktop Entry]
+Name=Blender-svn
+Comment=A 3D program
+Comment[cs]=Program pro 3D modeling a animaci
+Comment[es]=Un programa de 3D
+Comment[no]=Et 3d-program
+Comment[da]=Et program til 3d-modelering
+Exec=blender
+Icon=blender
+Terminal=false
+X-MultipleArgs=false
+Type=Application
+Categories=Graphics;3DGraphics;
+MimeType=application/blender;application/x-blender;
diff --git a/blender.install b/blender.install
new file mode 100644
index 00000000000..d061748130f
--- /dev/null
+++ b/blender.install
@@ -0,0 +1,14 @@
+
+post_install() {
+ update-desktop-database -q
+ gtk-update-icon-cache -qf /usr/share/icons/hicolor/
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+post_remove() {
+ post_install $1
+}
+